Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.db
Interface DBObject

All Known Subinterfaces:
  Database, Field, FieldValue, Table, Unique, Workspace

    public interface DBObject

Interface `DBObject` is the root of the database element class hierarchy. Every database element class has `DBObject` as a superclass.

Method Summary
`java.lang.String` | `getName()` Returns the name of the DBObject.
`java.util.Properties` | `getProperties()` Determines the current DBObject properties.
`java.lang.String` | `getProperty(java.lang.String key)` Gets the DBObject property indicated by the specified key.
`java.lang.String` | `getProperty(java.lang.String key, java.lang.String def)` Gets the DBObject property indicated by the specified key.
`java.lang.String` | `getUCName()` Returns the upper case name of the DBObject.
`void` | `setProperty(java.lang.String key, java.lang.String value)` Sets the DBObject property indicated by the specified key.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the DBObject.

  Returns:
    a string.

### getUCName

    java.lang.String getUCName()

  Returns the upper case name of the DBObject.

  Returns:
    a string.

### getProperties

    java.util.Properties getProperties()

  Determines the current DBObject properties.

  Returns:
    the DBObject properties.

### getProperty

    java.lang.String getProperty(java.lang.String key)

  Gets the DBObject property indicated by the specified key.

  Parameters:
    `key` - the name of the DBObject property.
  Returns:
    the string value of the DBObject property, or `null` if there is no property by that key.

### getProperty

    java.lang.String getProperty(java.lang.String key,
                                 java.lang.String def)

  Gets the DBObject property indicated by the specified key.

  Parameters:
    `key` - the name of the DBObject property.
    `def` - a default value.
  Returns:
    the string value of the DBObject property, or the default value if there is no property by that key.

### setProperty

    void setProperty(java.lang.String key,
                     java.lang.String value)

  Sets the DBObject property indicated by the specified key.

  Parameters:
    `key` - the name of the DBObject property.
    `value` - the value of the DBObject property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD